Bug 173230 - Various kprobe fixes
Various kprobe fixes
Status: CLOSED DUPLICATE of bug 180260
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anil S Keshavamurthy
Brian Brock
public=20051107,source=lkml
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 09:09 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-21 11:46:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-11-15 09:09:47 EST
http://lists.osdl.org/pipermail/virtualization/2005-November/000231.html

This post to lkml highlights a number of flaws in kprobe, some of which may have
 a security context (currently unknown).   Needs kernel team investigation.
Comment 1 Dave Anderson 2005-11-15 16:29:08 EST
I'm going to have to punt this to the IBM developer who did
all of the kprobes work for RHEL4; there's too much stuff 
in the reference above (specifically the LDT-related stuff)
that's well beyond my understanding.

I'll pass the reference on to him, ananth@in.ibm.com, for his take.
Comment 2 Dave Anderson 2005-11-16 09:03:15 EST
Following the reference in comment #1, it's pretty obvious that kprobe
development is ongoing.  Prasanna Panchamukhi (prasanna@in.ibm.com)
is working with the reporter Zachary Amsden (zach@vmware.com) on several
upstream issues.  In any case, they (IBM) are obviously aware of (i.e.
participating in) the thread above, and this is Ananth's reply re: its
affect on RHEL4:

  Regards bz# 173230, per Prasanna, Zach is consolidating all LDT
  access/verification code in kernel and is yet to post the final patch
  accounting for all the feedback given. We are OK in the current state
  wrt LDT checks for RHEL4-U3 - it can be relooked after Zach's LDT
  consolidation is complete.


   
Comment 3 Anil S Keshavamurthy 2006-05-16 16:21:44 EDT
With the large kprobes backport patches that made it into RHEL4 U4 addressed all
of the issues mentioned in this bugzilla. LDT and several others mentiond here
is no longer an issues in 2.6.9-34.12EL and beyond. This bugzilla can be closed.
Comment 4 Jason Baron 2006-07-21 11:46:35 EDT
unless somebody wants to point to a specific problem, i'm closing this.

*** This bug has been marked as a duplicate of 180260 ***

Note You need to log in before you can comment on or make changes to this bug.